Create a mock server

View as Markdown
Creates a mock server in a collection. **Note:** - You cannot create mocks for collections added to an API definition. - If you do not include the `workspaceId` query parameter, the system creates the mock server in the oldest personal Internal workspace you own.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

workspacestringRequired
The workspace's ID.

Request

This endpoint expects an object.
mockobjectOptional

Response

Successful Response
mockobject
Information about the mock server.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error